| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.AttFile Class Reference

Class for reading/writing attitude generic files. More...

Inheritance diagram for EECFI.AttFile:

List of all members.

## Public Member Functions
| AttFile ()
| Empty constructor.
| AttFile (final String fileNam)
| Constructor with file name.
native void | read () throws CfiError
| Read the whole data block and store it in object.
native void | write (FixedHeader fixedHead, Vector< AttRec > attRecords, final long srcRef, final long datTyp, final double maximumGap, final long satReference) throws CfiError
| Write attitude file with name given in constructor.
native void | write (String fileNam, FixedHeader fixedHead, Vector< AttRec > attRecords, final long srcRef, final long datTyp, final double maximumGap, final long satReference) throws CfiError
| Write attitude file with a new name.
native AttFile | decimate (double decimationDeltaTime) throws CfiError
| Decimate the list of attitude records according to input delta time.
long | xsltAdd () throws CfiError
| Add xslt reference with default stylesheet.
## Public Attributes
Vector< AttRec > | attRec
| Vector of attitude data.
long | sourceRef
| Initial reference frame: inertial reference frame.
long | dataType
| Angles or quaternions (AttitudeDataTypeEnum).
double | maxGap
| Maximum time gap between two consecutive records.
long | satRef
| Target reference frame.

## Detailed Description

Class for reading/writing attitude generic files.

## Constructor & Destructor Documentation

EECFI.AttFile.AttFile | ( |  | ) |

Empty constructor.

EECFI.AttFile::AttFile | ( | final String | fileNam | ) |

Constructor with file name.

Parameters:

  | fileNam | Name of the file.

## Member Function Documentation

native AttFile EECFI.AttFile.decimate | ( | double | decimationDeltaTime | ) | throws CfiError

Decimate the list of attitude records according to input delta time.

Being t0 the time of the 1st attitude record of input list (calling object) and D the decimationDeltaTime, the attitude records from the input list that will be included in the output list will be those closer to every time t=t0+k*D (k=1,2...n). Important: the fixed header of calling object must have been read.

native void EECFI.AttFile.read | ( |  | ) | throws CfiError

Read the whole data block and store it in object.

void EECFI.AttFile::write | ( | String | fileNam,
|  | FixedHeader | fixedHead,
|  | Vector< AttRec > | attRecords,
|  | final long | srcRef,
|  | final long | datTyp,
|  | final double | maximumGap,
|  | final long | satReference |
| ) |  |  | throws CfiError

Write attitude file with a new name.

Note about output format: the number of decimal digits written to file depends on the type of data:

- If angles are used, 6 decimal digits are written.
- If quaternions are used, 9 decimal digits are written.

It is done this way because having 9 decimal digits in quaternions reduces pointing error significantly .

Parameters:

  | fileNam | New file name.
  | fixedHead | Values of the fixed header.
  | attRecords | Vector of attitude data.
  | srcRef | Initial reference frame.
  | datTyp | Angles of quaternions (AttitudeDataTypeEnum).
  | maximumGap | Maximum time gap between two cosecutive records.
  | satReference | Target reference frame.

void EECFI.AttFile::write | ( | FixedHeader | fixedHead,
|  | Vector< AttRec > | attRecords,
|  | final long | srcRef,
|  | final long | datTyp,
|  | final double | maximumGap,
|  | final long | satReference |
| ) |  |  | throws CfiError

Write attitude file with name given in constructor.

Note about output format: the number of decimal digits written to file depends on the type of data:

- If angles are used, 6 decimal digits are written.
- If quaternions are used, 9 decimal digits are written.

It is done this way because having 9 decimal digits in quaternions reduces pointing error significantly .

Parameters:

  | fixedHead | Values of the fixed header.
  | attRecords | Vector of attitude data.
  | srcRef | Initial reference frame.
  | datTyp | Angles of quaternions (AttitudeDataTypeEnum).
  | maximumGap | Maximum time gap between two cosecutive records.
  | satReference | Target reference frame.

long EECFI.AttFile.xsltAdd | ( |  | ) | throws CfiError

Add xslt reference with default stylesheet.

## Member Data Documentation

Vector<AttRec> EECFI.AttFile.attRec

Vector of attitude data.

long EECFI.AttFile.dataType

Angles or quaternions (AttitudeDataTypeEnum).

double EECFI.AttFile.maxGap

Maximum time gap between two consecutive records.

long EECFI.AttFile.satRef

Target reference frame.

long EECFI.AttFile.sourceRef

Initial reference frame: inertial reference frame.